Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mysql.jdbc
Interface CacheAdapter<K,V>

All Known Implementing Classes:
  PerConnectionLRUFactory.PerConnectionLRU

    public interface CacheAdapter<K,V>

Method Summary
`V` | `get(K key)`
`void` | `invalidate(K key)`
`void` | `invalidateAll()`
`void` | `invalidateAll(java.util.Set<K> keys)`
`void` | `put(K key, V value)`

Method Detail

### get

    V get(K key)

### put

    void put(K key,
             V value)

### invalidate

    void invalidate(K key)

### invalidateAll

    void invalidateAll(java.util.Set<K> keys)

### invalidateAll

    void invalidateAll()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD